Aptitude 사용에 대한 문의

안녕하세요,

다름이 아니라 한가지 질문을 올립니다.

우분투 서버 관리하시는 분들 종종 고민하시는 경우 생기실듯 한데요,

저는 apt-get upgrade 에해 매우 신중하게 고민하고 할지말지 고민을 합니다.

왜냐하면 버전업 되면서 기본 정보 설정 및 link 설정등이 변경 되는 경우가 많아서 서비스중단이라는 사태가 간간히 벌어지는 우려가 있습니다.

apache, mysql, bind 같은 아주 민감한 부분까지 고려를 하실 것으로 판단 되는데요,

저는 주로 aptitude 를 해서 필요한 부분만 선택 해서 진행하고 있습니다만,

한가지 질문이 있습니다.

현재 전는 Ubuntu 12.04.01 LTS 인데요,

최근에 보안 관련한 뉴스가 나와서 Security Update 부분만 설치 하려고 합니다.

저도 지금 현재 apache2, Tomcat6, mysql 5.5, bind9 모두 사용중이라, Security Update 했을때 영향을 없을지 문의합니다.

두서없이 쓴글 읽어주셔서 감사합니다.